Package icyllis.modernui.widget

# Class TableRow.LayoutParams

java.lang.Object
icyllis.modernui.view.ViewGroup.LayoutParams
icyllis.modernui.view.ViewGroup.MarginLayoutParams
icyllis.modernui.widget.LinearLayout.LayoutParams
icyllis.modernui.widget.TableRow.LayoutParams

Enclosing class:
  `TableRow`

public static class TableRow.LayoutParams extends LinearLayout.LayoutParams

Set of layout parameters used in table rows.

See Also:
  - `TableLayout.LayoutParams`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `column`
  The column index of the cell represented by the widget.
  `int`
  `span`
  The number of columns the widgets spans over.

  ### Fields inherited from class icyllis.modernui.widget.LinearLayout.LayoutParams

  `gravity, weight`

  ### Fields inherited from class icyllis.modernui.view.ViewGroup.MarginLayoutParams

  `bottomMargin, DEFAULT_MARGIN_RELATIVE, leftMargin, rightMargin, topMargin`

  ### Fields inherited from class icyllis.modernui.view.ViewGroup.LayoutParams

  `height, MATCH_PARENT, width, WRAP_CONTENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LayoutParams()`
  Sets the child width to `ViewGroup.LayoutParams` and the child height to `ViewGroup.LayoutParams.WRAP_CONTENT`.
  `LayoutParams(int column)`
  Puts the view in the specified column.
  `LayoutParams(int w, int h)`
  Sets the child width and the child height.
  `LayoutParams(int w, int h, float initWeight)`
  Sets the child width, height and weight.
  `LayoutParams(ViewGroup.LayoutParams p)`
  `LayoutParams(ViewGroup.MarginLayoutParams source)`

- ## Method Summary

  ### Methods inherited from class icyllis.modernui.view.ViewGroup.MarginLayoutParams

  `copyMarginsFrom, getLayoutDirection, getMarginEnd, getMarginStart, isLayoutRtl, isMarginRelative, onDebugDraw, resolveLayoutDirection, setLayoutDirection, setMarginEnd, setMargins, setMarginsRelative, setMarginStart`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### column

    public int column

    The column index of the cell represented by the widget.

  - ### span

    public int span

    The number of columns the widgets spans over.

- ## Constructor Details

  - ### LayoutParams

    public LayoutParams(int w, int h)

    Sets the child width and the child height.

    Parameters:
      `w` - the desired width
      `h` - the desired height

  - ### LayoutParams

    public LayoutParams(int w, int h, float initWeight)

    Sets the child width, height and weight.

    Parameters:
      `w` - the desired width
      `h` - the desired height
      `initWeight` - the desired weight

  - ### LayoutParams

    public LayoutParams()

    Sets the child width to `ViewGroup.LayoutParams` and the child height to `ViewGroup.LayoutParams.WRAP_CONTENT`.

  - ### LayoutParams

    public LayoutParams(int column)

    Puts the view in the specified column.

    Sets the child width to `ViewGroup.LayoutParams.MATCH_PARENT` and the child height to `ViewGroup.LayoutParams.WRAP_CONTENT`.

    Parameters:
      `column` - the column index for the view

  - ### LayoutParams

    public LayoutParams(ViewGroup.LayoutParams p)

  - ### LayoutParams

    public LayoutParams(ViewGroup.MarginLayoutParams source)